  .button-container {
    display: flex;
    position: relative;
    z-index: 1;
    align-items: center;
    align-content: center;
    justify-content: center;
    width: 100%;
    height: auto;
    transform: translateY(40%);
  }

  .btn-booking {
    display: flex;
    border: none;
    outline: none;
    color: #333;
    cursor: pointer;
    position: relative;
    z-index: 1;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    align-content: center;
    font-size: large;
    padding: 10px 50px;
    transition: 0.2s ease-in-out;
  }

  .btn-booking::after {
    content: "";
    z-index: -1;
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #f5f5f5;
    left: 0;
    top: 0;
    border-radius: 10px;
    transition: 0.2s ease-in-out;
  }

  .btn-booking::before {
    content: "";
    background: linear-gradient(45deg,
        #FF0000, #FF7300, #FFFB00, #48FF00,
        #00FFD5, #002BFF, #FF00C8, #FF0000);
    position: absolute;
    top: -2px;
    left: -2px;
    background-size: 600%;
    z-index: -1;
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    filter: blur(8px);
    animation: glowing 20s linear infinite;
    transition: opacity .3s ease-in-out;
    border-radius: 10px;
    opacity: 0;
    transition: 0.2s ease-in-out;
  }

  @keyframes glowing {
    0% {
      background-position: 0 0;
    }

    50% {
      background-position: 400% 0;
    }

    100% {
      background-position: 0 0;
    }
  }

  .btn-booking:hover::before {
    opacity: 1;
  }

  .btn-booking:active:after {
    background: transparent;
  }

  .btn-booking:active {
    color: #fff;
    transition: 0.2s ease-in-out;
  }